[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit '_crw_alloc' (#crwlib)

# LockedCompareExchange

## Declaration

Source position: _crw_alloc.pas line 672

`function LockedCompareExchange(`
`var Target: LongInt;`
`Exch: LongInt;`
`Comp: LongInt`
`):LongInt; overload; function LockedCompareExchange(`
`var Target: Cardinal;`
`Exch: Cardinal;`
`Comp: Cardinal`
`):Cardinal; overload;`